Bug 1410168 (CVE-2016-9942)

Summary: CVE-2016-9942 libvncserver: Heap-based buffer overflow in ultra.c
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dkholia, negativo17, ppisar, rdieter, slawomir
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20161114,reported=20161231,source=cve,cvss3=7.5/CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H,cwe=CWE-122,rhel-6/libvncserver=wontfix,rhel-7/libvncserver=wontfix,fedora-all/libvncserver=affected,epel-5/libvncserver=affected,epel-7/libvncserver=affected
Fixed In Version: libvncserver 0.9.11 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-24 07:08:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1410180, 1410178, 1410179    
Bug Blocks: 1410176    

Description Adam Mariš 2017-01-04 16:17:31 UTC
Heap-based buffer overflow was found in ultra.c in LibVNCClient in LibVNCServer before 0.9.11 that allows remote servers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted FramebufferUpdate message with the Ultra type tile, such that the LZO payload decompressed length exceeds what is specified by the tile dimensions.

Upstream patch:

https://github.com/LibVNC/libvncserver/commit/5fff4353f66427b467eb29e5fdc1da4f2be028bb

Upstream bug:

https://github.com/LibVNC/libvncserver/pull/137

Comment 1 Adam Mariš 2017-01-04 16:41:26 UTC
Created libvncserver tracking bugs for this issue:

Affects: fedora-all [bug 1410178]
Affects: epel-5 [bug 1410179]
Affects: epel-7 [bug 1410180]

Comment 3 Fedora Update System 2017-05-26 03:54:41 UTC
libvncserver-0.9.11-2.fc24.1 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.